<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('water_repair_connection', function (Blueprint $table) {
            $table->string('resident_type')->nullable()->after('application_documents'); 
            // Replace 'existing_column' with the column after which you want to add this
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('water_repair_connection', function (Blueprint $table) {
            $table->dropColumn('resident_type');
        });
    }
};
